# AmoebaWcaDispersionForce Class Reference

This class implements a nonbonded interaction between pairs of particles typically used along with AmoebaGeneralizedKirkwoodForce as part of an implicit solvent model. More...

Inheritance diagram for AmoebaWcaDispersionForce:

List of all members.

## Public Member Functions
def | getNumParticles
| getNumParticles(AmoebaWcaDispersionForce self) -> int
def | setParticleParameters
| setParticleParameters(AmoebaWcaDispersionForce self, int particleIndex, double radius, double epsilon)
def | getParticleParameters
| getParticleParameters(AmoebaWcaDispersionForce self, int particleIndex)
def | addParticle
| addParticle(AmoebaWcaDispersionForce self, double radius, double epsilon) -> int
def | updateParametersInContext
| updateParametersInContext(AmoebaWcaDispersionForce self, Context context)
def | getEpso
| getEpso(AmoebaWcaDispersionForce self) -> double
def | getEpsh
| getEpsh(AmoebaWcaDispersionForce self) -> double
def | getRmino
| getRmino(AmoebaWcaDispersionForce self) -> double
def | getRminh
| getRminh(AmoebaWcaDispersionForce self) -> double
def | getAwater
| getAwater(AmoebaWcaDispersionForce self) -> double
def | getShctd
| getShctd(AmoebaWcaDispersionForce self) -> double
def | getDispoff
| getDispoff(AmoebaWcaDispersionForce self) -> double
def | getSlevy
| getSlevy(AmoebaWcaDispersionForce self) -> double
def | setEpso
| setEpso(AmoebaWcaDispersionForce self, double inputValue)
def | setEpsh
| setEpsh(AmoebaWcaDispersionForce self, double inputValue)
def | setRmino
| setRmino(AmoebaWcaDispersionForce self, double inputValue)
def | setRminh
| setRminh(AmoebaWcaDispersionForce self, double inputValue)
def | setAwater
| setAwater(AmoebaWcaDispersionForce self, double inputValue)
def | setShctd
| setShctd(AmoebaWcaDispersionForce self, double inputValue)
def | setDispoff
| setDispoff(AmoebaWcaDispersionForce self, double inputValue)
def | setSlevy
| setSlevy(AmoebaWcaDispersionForce self, double inputValue)
def | __init__
| __init__(OpenMM.AmoebaWcaDispersionForce self) -> AmoebaWcaDispersionForce __init__(OpenMM.AmoebaWcaDispersionForce self, AmoebaWcaDispersionForce other) -> AmoebaWcaDispersionForce
def | __del__
| __del__(OpenMM.AmoebaWcaDispersionForce self)
## Public Attributes
| this

## Detailed Description

This class implements a nonbonded interaction between pairs of particles typically used along with AmoebaGeneralizedKirkwoodForce as part of an implicit solvent model.

To use it, create an AmoebaWcaDispersionForce object then call addParticle() once for each particle. After a particle has been added, you can modify its force field parameters by calling setParticleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(OpenMM.AmoebaWcaDispersionForce self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(OpenMM.AmoebaWcaDispersionForce self) -> AmoebaWcaDispersionForce __init__(OpenMM.AmoebaWcaDispersionForce self, AmoebaWcaDispersionForce other) -> AmoebaWcaDispersionForce

Create an AmoebaWcaDispersionForce.

def addParticle | ( |  | self,
|  |  | args |
| ) |  |  |

addParticle(AmoebaWcaDispersionForce self, double radius, double epsilon) -> int

Set the force field parameters for a WCA dispersion particle.

Parameters:

  | radius | radius
  | epsilon | epsilon

def getAwater | ( |  | self | ) |

getAwater(AmoebaWcaDispersionForce self) -> double

def getDispoff | ( |  | self | ) |

getDispoff(AmoebaWcaDispersionForce self) -> double

def getEpsh | ( |  | self | ) |

getEpsh(AmoebaWcaDispersionForce self) -> double

def getEpso | ( |  | self | ) |

getEpso(AmoebaWcaDispersionForce self) -> double

def getNumParticles | ( |  | self | ) |

getNumParticles(AmoebaWcaDispersionForce self) -> int

Get the number of particles

def getParticleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getParticleParameters(AmoebaWcaDispersionForce self, int particleIndex)

Get the force field parameters for a WCA dispersion particle.

Parameters:

  | particleIndex | the particle index
  | radius | radius
  | epsilon | epsilon

def getRminh | ( |  | self | ) |

getRminh(AmoebaWcaDispersionForce self) -> double

def getRmino | ( |  | self | ) |

getRmino(AmoebaWcaDispersionForce self) -> double

def getShctd | ( |  | self | ) |

getShctd(AmoebaWcaDispersionForce self) -> double

def getSlevy | ( |  | self | ) |

getSlevy(AmoebaWcaDispersionForce self) -> double

def setAwater | ( |  | self,
|  |  | args |
| ) |  |  |

setAwater(AmoebaWcaDispersionForce self, double inputValue)

def setDispoff | ( |  | self,
|  |  | args |
| ) |  |  |

setDispoff(AmoebaWcaDispersionForce self, double inputValue)

def setEpsh | ( |  | self,
|  |  | args |
| ) |  |  |

setEpsh(AmoebaWcaDispersionForce self, double inputValue)

def setEpso | ( |  | self,
|  |  | args |
| ) |  |  |

setEpso(AmoebaWcaDispersionForce self, double inputValue)

def setParticleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setParticleParameters(AmoebaWcaDispersionForce self, int particleIndex, double radius, double epsilon)

Set the force field parameters for a WCA dispersion particle.

Parameters:

  | particleIndex | the particle index
  | radius | radius
  | epsilon | epsilon

def setRminh | ( |  | self,
|  |  | args |
| ) |  |  |

setRminh(AmoebaWcaDispersionForce self, double inputValue)

def setRmino | ( |  | self,
|  |  | args |
| ) |  |  |

setRmino(AmoebaWcaDispersionForce self, double inputValue)

def setShctd | ( |  | self,
|  |  | args |
| ) |  |  |

setShctd(AmoebaWcaDispersionForce self, double inputValue)

def setSlevy | ( |  | self,
|  |  | args |
| ) |  |  |

setSlevy(AmoebaWcaDispersionForce self, double inputValue)

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(AmoebaWcaDispersionForce self, Context context)

Update the per-particle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setParticleParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-particle parameters. All other aspects of the Force are unaffected and can only be changed by reinitializing the Context.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py